Subject: Re: bug#56773: 29.0.50; (readablep UNREADABLE) causes strange things

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Jul 2022 11:48:58 +0200

Po Lu <[email-masked]> writes:

> Right, thanks.  I fixed that as well.

As I said earlier, I suspect that all of PRINTFINISH should go into the
unwind_protect form.  For instance, in the MARKERP situation, it seems
to want to adjust markers etc.  I have not analysed in detail, but those
code bits are presumably there for a reason, and may have to be run if
prin1 has done sometime (even if there's then been a non-local exit).